Subject: Re: [PATCH 2.6.11] WE-18 (aka WPA)

From: Jeff Garzik <[email-masked]>
Date: Tue, 22 Mar 2005 17:57:43 -0500

Jean Tourrilhes wrote:
> 	Hi Jeff,
> 
> 	This is version 18 of the Wireless Extensions. The main change
> is that it adds all the necessary APIs for WPA and WPA2 support. This
> work was entirely done by Jouni Malinen, so let's thank him for both
> his hard work and deep expertise on the subject ;-)
> 	This APIs obviously doesn't do much by itself and works in
> concert with driver support (Jouni already sent you the HostAP
> changes) and userspace (Jouni is updating wpa_supplicant). This is
> also orthogonal with the ongoing work on in-kernel IEEE support (but
> potentially useful).
> 	The patch is attached, tested with 2.6.11. Normally, I would
> ask you to push that directly in the kernel (99% of the patch has been
> on my web page for ages and it does not affect non-WPA stuff), but
> Jouni convinced me that it should bake a few weeks in wireless-2.6
> first, so that other driver maintainers can get up to speed with it.
> 
> 	So, would you mind pushing that in wireless-2.6 ?
> 	Thanks in advance...

Applied to wireless-2.6, and will soon push upstream.

NOTE:  Please include a Signed-off-by line in ALL patches that you submit.

See http://linux.yyz.us/patch-format.html for more info.

	Jeff